#include <iostream>
#include <vector>
using namespace std;
int main()
{
   int N, K;
   cin >> N >> K;
   char s;
   vector <char> S;
   vector <int> P;
   for (int i = 0; i < N; i++){
    cin >> s;
    S.push_back(s);
   }
    cout << 1 << " " << 2 << " " << 2 << " " << 3 << " " << 3;
}